--- old/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
+++ new/usr/src/cmd/hwdata/pci.ids	Mon Oct  5 16:30:07 2015
@@ -25183,167 +25721,171 @@
 	65f9  5100 Chipset PCI Express x8 Port 6-7
 	65fa  5100 Chipset PCI Express x16 Port 4-7
 	65ff  5100 Chipset DMA Engine
-	6f00  Broadwell DMI2
-	6f01  Broadwell PCI Express Root Port 0
-	6f02  Broadwell PCI Express Root Port 1
-	6f03  Broadwell PCI Express Root Port 1
-	6f04  Broadwell PCI Express Root Port 2
-	6f05  Broadwell PCI Express Root Port 2
-	6f06  Broadwell PCI Express Root Port 2
-	6f07  Broadwell PCI Express Root Port 2
-	6f08  Broadwell PCI Express Root Port 3
-	6f09  Broadwell PCI Express Root Port 3
-	6f0a  Broadwell PCI Express Root Port 3
-	6f0b  Broadwell PCI Express Root Port 3
-	6f10  Broadwell IIO Debug
-	6f11  Broadwell IIO Debug
-	6f12  Broadwell IIO Debug
-	6f13  Broadwell IIO Debug
-	6f14  Broadwell IIO Debug
-	6f15  Broadwell IIO Debug
-	6f16  Broadwell IIO Debug
-	6f17  Broadwell IIO Debug
-	6f18  Broadwell IIO Debug
-	6f19  Broadwell IIO Debug
-	6f1a  Broadwell IIO Debug
-	6f1b  Broadwell IIO Debug
-	6f1c  Broadwell IIO Debug
-	6f1d  Broadwell R2PCIe Agent
-	6f1e  Broadwell Ubox
-	6f1f  Broadwell Ubox
-	6f20  Broadwell-DE Crystal Beach DMA Channel 0
-	6f21  Broadwell-DE Crystal Beach DMA Channel 1
-	6f22  Broadwell-DE Crystal Beach DMA Channel 2
-	6f23  Broadwell-DE Crystal Beach DMA Channel 3
-	6f24  Broadwell-DE Crystal Beach DMA Channel 4
-	6f25  Broadwell-DE Crystal Beach DMA Channel 5
-	6f26  Broadwell-DE Crystal Beach DMA Channel 6
-	6f27  Broadwell-DE Crystal Beach DMA Channel 7
-	6f28  Broadwell Adress Map/VTd_Misc/System Management
-	6f29  Broadwell IIO Hot Plug
-	6f2a  Broadwell IIO RAS/Control Status/Global Errors
-	6f2c  Broadwell I/O APIC
-	6f30  Broadwell Home Agent 0
-	6f32  Broadwell QPI Link 0
-	6f33  Broadwell QPI Link 1
-	6f34  Broadwell R2PCIe Agent
-	6f36  Broadwell R3 QPI Link 0/1
-	6f37  Broadwell R3 QPI Link 0/1
-	6f38  Broadwell Home Agent 1
-	6f39  Broadwell IO Performance Monitoring
-	6f3a  Broadwell QPI Link 2
-	6f3e  Broadwell R3 QPI Link 2
-	6f3f  Broadwell R3 QPI Link 2
-	6f40  Broadwell QPI Link 2
-	6f41  Broadwell R3 QPI Link 2
-	6f43  Broadwell QPI Link 2
-	6f45  Broadwell QPI Link 2 Debug
-	6f46  Broadwell QPI Link 2 Debug
-	6f47  Broadwell QPI Link 2 Debug
-	6f60  Broadwell Home Agent 1
-	6f68  Broadwell Target Address/Thermal/RAS
-	6f6a  Broadwell Channel Target Address Decoder
-	6f6b  Broadwell Channel Target Address Decoder
-	6f6c  Broadwell Channel Target Address Decoder
-	6f6d  Broadwell Channel Target Address Decoder
-	6f6e  Broadwell DDRIO Channel 2/3 Broadcast
-	6f6f  Broadwell DDRIO Global Broadcast
-	6f70  Broadwell Home Agent 0 Debug
-	6f71  Broadwell Memory Controller 0 - Target Address/Thermal/RAS
-	6f76  Broadwell R3 QPI Link Debug
-	6f78  Broadwell Home Agent 1 Debug
-	6f79  Broadwell Target Address/Thermal/RAS
-	6f7d  Broadwell Ubox
-	6f7e  Broadwell R3 QPI Link Debug
-	6f80  Broadwell QPI Link 0
-	6f81  Broadwell R3 QPI Link 0/1
-	6f83  Broadwell QPI Link 0
-	6f85  Broadwell QPI Link 0 Debug
-	6f86  Broadwell QPI Link 0 Debug
-	6f87  Broadwell QPI Link 0 Debug
-	6f88  Broadwell Power Control Unit
-	6f8a  Broadwell Power Control Unit
-	6f90  Broadwell QPI Link 1
-	6f93  Broadwell QPI Link 1
-	6f95  Broadwell QPI Link 1 Debug
-	6f96  Broadwell QPI Link 1 Debug
-	6f98  Broadwell Power Control Unit
-	6f99  Broadwell Power Control Unit
-	6f9a  Broadwell Power Control Unit
-	6f9c  Broadwell Power Control Unit
-	6fa0  Broadwell Home Agent 0
-	6fa8  Broadwell Memory Controller 0 - Target Address/Thermal/RAS
-	6faa  Broadwell Memory Controller 0 - Channel Target Address Decoder
-	6fab  Broadwell Memory Controller 0 - Channel Target Address Decoder
-	6fac  Broadwell Memory Controller 0 - Channel Target Address Decoder
-	6fad  Broadwell Memory Controller 0 - Channel Target Address Decoder
-	6fae  Broadwell DDRIO Channel 0/1 Broadcast
-	6faf  Broadwell DDRIO Global Broadcast
-	6fb0  Broadwell Memory Controller 0 - Channel 0 Thermal Control
-	6fb1  Broadwell Memory Controller 0 - Channel 1 Thermal Control
-	6fb2  Broadwell Memory Controller 0 - Channel 0 Error
-	6fb3  Broadwell Memory Controller 0 - Channel 1 Error
-	6fb4  Broadwell Memory Controller 0 - Channel 2 Thermal Control
-	6fb5  Broadwell Memory Controller 0 - Channel 3 Thermal Control
-	6fb6  Broadwell Memory Controller 0 - Channel 2 Error
-	6fb7  Broadwell Memory Controller 0 - Channel 3 Error
-	6fb8  Broadwell DDRIO Channel 2/3 Interface
-	6fb9  Broadwell DDRIO Channel 2/3 Interface
-	6fba  Broadwell DDRIO Channel 2/3 Interface
-	6fbb  Broadwell DDRIO Channel 2/3 Interface
-	6fbc  Broadwell DDRIO Channel 0/1 Interface
-	6fbd  Broadwell DDRIO Channel 0/1 Interface
-	6fbe  Broadwell DDRIO Channel 0/1 Interface
-	6fbf  Broadwell DDRIO Channel 0/1 Interface
-	6fc0  Broadwell Power Control Unit
-	6fc1  Broadwell Power Control Unit
-	6fc2  Broadwell Power Control Unit
-	6fc3  Broadwell Power Control Unit
-	6fc4  Broadwell Power Control Unit
-	6fc5  Broadwell Power Control Unit
-	6fc6  Broadwell Power Control Unit
-	6fc7  Broadwell Power Control Unit
-	6fc8  Broadwell Power Control Unit
-	6fc9  Broadwell Power Control Unit
-	6fca  Broadwell Power Control Unit
-	6fcb  Broadwell Power Control Unit
-	6fcc  Broadwell Power Control Unit
-	6fcd  Broadwell Power Control Unit
-	6fce  Broadwell Power Control Unit
-	6fcf  Broadwell Power Control Unit
-	6fd0  Broadwell Memory Controller 1 - Channel 0 Thermal Control
-	6fd1  Broadwell Memory Controller 1 - Channel 1 Thermal Control
-	6fd2  Broadwell Memory Controller 1 - Channel 0 Error
-	6fd3  Broadwell Memory Controller 1 - Channel 1 Error
-	6fd4  Broadwell Memory Controller 1 - Channel 2 Thermal Control
-	6fd5  Broadwell Memory Controller 1 - Channel 3 Thermal Control
-	6fd6  Broadwell Memory Controller 1 - Channel 2 Error
-	6fd7  Broadwell Memory Controller 1 - Channel 3 Error
-	6fe0  Broadwell Caching Agent
-	6fe1  Broadwell Caching Agent
-	6fe2  Broadwell Caching Agent
-	6fe3  Broadwell Caching Agent
-	6fe4  Broadwell Caching Agent
-	6fe5  Broadwell Caching Agent
-	6fe6  Broadwell Caching Agent
-	6fe7  Broadwell Caching Agent
-	6fe8  Broadwell Caching Agent
-	6fe9  Broadwell Caching Agent
-	6fea  Broadwell Caching Agent
-	6feb  Broadwell Caching Agent
-	6fec  Broadwell Caching Agent
-	6fed  Broadwell Caching Agent
-	6fee  Broadwell Caching Agent
-	6fef  Broadwell Caching Agent
-	6ff0  Broadwell Caching Agent
-	6ff1  Broadwell Caching Agent
-	6ff8  Broadwell Caching Agent
-	6ff9  Broadwell Caching Agent
-	6ffa  Broadwell Caching Agent
-	6ffb  Broadwell Caching Agent
-	6ffc  Broadwell Caching Agent
-	6ffd  Broadwell Caching Agent
-	6ffe  Broadwell Caching Agent
+	6f00  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DMI2
+	6f01  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 0
+	6f02  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 1
+	6f03  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 1
+	6f04  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 2
+	6f05  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 2
+	6f06  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 2
+	6f07  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 2
+	6f08  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 3
+	6f09  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 3
+	6f0a  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 3
+	6f0b  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D PCI Express Root Port 3
+	6f10  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f11  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f12  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f13  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f14  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f15  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f16  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f17  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f18  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f19  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f1a  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f1b  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f1c  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Debug
+	6f1d  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R2PCIe Agent
+	6f1e  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Ubox
+	6f1f  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Ubox
+	6f20  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 0
+	6f21  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 1
+	6f22  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 2
+	6f23  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 3
+	6f24  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 4
+	6f25  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 5
+	6f26  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 6
+	6f27  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Crystal Beach DMA Channel 7
+	6f28  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Map/VTd_Misc/System Management
+	6f29  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO Hot Plug
+	6f2a  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IIO RAS/Control Status/Global Errors
+	6f2c  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D I/O APIC
+	6f30  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Home Agent 0
+	6f32  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 0
+	6f33  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 1
+	6f34  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R2PCIe Agent
+	6f36  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link 0/1
+	6f37  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link 0/1
+	6f38  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Home Agent 1
+	6f39  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D IO Performance Monitoring
+	6f3a  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 2
+	6f3e  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link 2
+	6f3f  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link 2
+	6f40  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 2
+	6f41  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link 2
+	6f43  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 2
+	6f45  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 2 Debug
+	6f46  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 2 Debug
+	6f47  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 2 Debug
+	6f50  Xeon Processor D Family QuickData Technology Register DMA Channel 0
+	6f51  Xeon Processor D Family QuickData Technology Register DMA Channel 1
+	6f52  Xeon Processor D Family QuickData Technology Register DMA Channel 2
+	6f53  Xeon Processor D Family QuickData Technology Register DMA Channel 3
+	6f60  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Home Agent 1
+	6f68  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Target Address/Thermal/RAS
+	6f6a  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Channel Target Address Decoder
+	6f6b  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Channel Target Address Decoder
+	6f6c  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Channel Target Address Decoder
+	6f6d  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Channel Target Address Decoder
+	6f6e  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 2/3 Broadcast
+	6f6f  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Global Broadcast
+	6f70  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Home Agent 0 Debug
+	6f71  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Target Address/Thermal/RAS
+	6f76  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link Debug
+	6f78  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Home Agent 1 Debug
+	6f79  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Target Address/Thermal/RAS
+	6f7d  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Ubox
+	6f7e  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link Debug
+	6f80  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 0
+	6f81  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D R3 QPI Link 0/1
+	6f83  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 0
+	6f85  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 0 Debug
+	6f86  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 0 Debug
+	6f87  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 0 Debug
+	6f88  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6f8a  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6f90  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 1
+	6f93  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 1
+	6f95  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 1 Debug
+	6f96  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D QPI Link 1 Debug
+	6f98  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6f99  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6f9a  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6f9c  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fa0  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Home Agent 0
+	6fa8  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Target Address/Thermal/RAS
+	6faa  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel Target Address Decoder
+	6fab  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel Target Address Decoder
+	6fac  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel Target Address Decoder
+	6fad  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel Target Address Decoder
+	6fae  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 0/1 Broadcast
+	6faf  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Global Broadcast
+	6fb0  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 0 Thermal Control
+	6fb1  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 1 Thermal Control
+	6fb2  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 0 Error
+	6fb3  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 1 Error
+	6fb4  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 2 Thermal Control
+	6fb5  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 3 Thermal Control
+	6fb6  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 2 Error
+	6fb7  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 0 - Channel 3 Error
+	6fb8  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 2/3 Interface
+	6fb9  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 2/3 Interface
+	6fba  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 2/3 Interface
+	6fbb  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 2/3 Interface
+	6fbc  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 0/1 Interface
+	6fbd  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 0/1 Interface
+	6fbe  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 0/1 Interface
+	6fbf  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D DDRIO Channel 0/1 Interface
+	6fc0  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc1  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc2  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc3  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc4  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc5  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc6  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc7  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc8  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fc9  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fca  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fcb  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fcc  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fcd  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fce  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fcf  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Power Control Unit
+	6fd0  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 0 Thermal Control
+	6fd1  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 1 Thermal Control
+	6fd2  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 0 Error
+	6fd3  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 1 Error
+	6fd4  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 2 Thermal Control
+	6fd5  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 3 Thermal Control
+	6fd6  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 2 Error
+	6fd7  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Memory Controller 1 - Channel 3 Error
+	6fe0  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe1  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe2  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe3  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe4  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe5  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe6  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe7  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe8  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fe9  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fea  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6feb  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fec  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fed  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fee  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6fef  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ff0  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ff1  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ff8  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ff9  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ffa  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ffb  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ffc  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ffd  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
+	6ffe  Xeon E7 v4/Xeon E5 v4/Xeon E3 v4/Xeon D Caching Agent
 	7000  82371SB PIIX3 ISA [Natoma/Triton II]
 		1af4 1100  Qemu virtual machine
 	7010  82371SB PIIX3 IDE [Natoma/Triton II]
@@ -25893,7 +26435,55 @@
 	a169  Sunrise Point-H PCI Root Port #19
 	a16a  Sunrise Point-H PCI Root Port #20
 	a170  Sunrise Point-H HD Audio
+	a182  Lewisburg SATA Controller [AHCI mode]
+	a190  Lewisburg PCI Express Root Port #1
+	a191  Lewisburg PCI Express Root Port #2
+	a192  Lewisburg PCI Express Root Port #3
+	a193  Lewisburg PCI Express Root Port #4
+	a194  Lewisburg PCI Express Root Port #5
+	a195  Lewisburg PCI Express Root Port #6
+	a196  Lewisburg PCI Express Root Port #7
+	a197  Lewisburg PCI Express Root Port #8
+	a198  Lewisburg PCI Express Root Port #9
+	a199  Lewisburg PCI Express Root Port #10
+	a19a  Lewisburg PCI Express Root Port #11
+	a19b  Lewisburg PCI Express Root Port #12
+	a19c  Lewisburg PCI Express Root Port #13
+	a19d  Lewisburg PCI Express Root Port #14
+	a19e  Lewisburg PCI Express Root Port #15
+	a19f  Lewisburg PCI Express Root Port #16
+	a1a0  Lewisburg P2SB
+	a1a1  Lewisburg PMC
+	a1a2  Lewisburg cAVS
+	a1a3  Lewisburg SMBus
+	a1a4  Lewisburg SPI Controller
+	a1af  Lewisburg USB 3.0 xHCI Controller
+	a1ba  Lewisburg CSME: HECI #1
+	a1bb  Lewisburg CSME: HECI #2
+	a1bc  Lewisburg CSME: IDE-r
+	a1bd  Lewisburg CSME: KT Controller
+	a1be  Lewisburg CSME: HECI #3
+	a1c1  Lewisburg LPC Controller
+	a1c2  Lewisburg LPC Controller
+	a1c3  Lewisburg LPC Controller
+	a1c4  Lewisburg LPC Controller
+	a1c5  Lewisburg LPC Controller
+	a1c6  Lewisburg LPC Controller
+	a1c7  Lewisburg LPC Controller
+	a1d2  Lewisburg SSATA Controller [AHCI mode]
+	a1e7  Lewisburg PCI Express Root Port #17
+	a1e8  Lewisburg PCI Express Root Port #18
+	a1e9  Lewisburg PCI Express Root Port #19
+	a1ea  Lewisburg PCI Express Root Port #20
+	a1f0  Lewisburg MROM 0
+	a1f1  Lewisburg MROM 1
+	a1f8  Lewisburg IE: HECI #1
+	a1f9  Lewisburg IE: HECI #2
+	a1fa  Lewisburg IE: IDE-r
+	a1fb  Lewisburg IE: KT Controller
+	a1fc  Lewisburg IE: HECI #3
 	a620  6400/6402 Advanced Memory Buffer (AMB)
+	abc0  Omni-Path Fabric Switch Silicon 100 Series
 	b152  21152 PCI-to-PCI Bridge
 		8086 b152  21152 PCI-to-PCI Bridge
 # observed, and documented in Intel revision note; new mask of 1011:0026
@@ -25956,8 +26546,8 @@
 	3860  AHA-2930CU
 	3b78  AHA-4844W/4844UW
 	5075  AIC-755x
-	5078  AIC-7850
-		9004 7850  AHA-2904/Integrated AIC-7850
+	5078  AIC-7850T/7856T [AVA-2902/4/6 / AHA-2910]
+		9004 7850  AIC-7850T/7856T [AVA-290x / AHA-2910]
 	5175  AIC-755x
 	5178  AIC-7851
 	5275  AIC-755x
@@ -26006,7 +26596,7 @@
 		9004 8020  ANA62022 2-port 64 bit 10/100
 		9004 8028  ANA69011A/TX 64 bit 10/100
 	7078  AHA-294x / AIC-7870
-	7178  AHA-2940/2940W / AIC-7871
+	7178  AIC-7870P/7871 [AHA-2940/W/S76]
 	7278  AHA-3940/3940W / AIC-7872
 	7378  AHA-3985 / AIC-7873
 	7478  AHA-2944/2944W / AIC-7874
@@ -26045,7 +26635,7 @@
 	7897  AIC-789x
 	8078  AIC-7880U
 		9004 7880  AIC-7880P Ultra/Ultra Wide SCSI Chipset
-	8178  AHA-2940U/UW/D / AIC-7881U
+	8178  AIC-7870P/7881U [AHA-2940U/UW/D/S76]
 		9004 7881  AHA-2940UW SCSI Host Adapter
 	8278  AHA-3940U/UW/UWD / AIC-7882U
 	8378  AHA-3940U/UW / AIC-7883U
@@ -26064,7 +26654,7 @@
 		9005 2180  AHA-2940U2 SCSI Controller
 		9005 8100  AHA-2940U2B SCSI Controller
 		9005 a100  AHA-2940U2B SCSI Controller
-		9005 a180  AHA-2940U2W SCSI Controller
+		9005 a180  AIC-3860Q [AHA-2940U2W/GE] SCSI Controller
 		9005 e100  AHA-2950U2B SCSI Controller
 	0011  AHA-2930U2
 	0013  78902
@@ -26437,7 +27027,10 @@
 	a12f  DeckLink Mini Monitor
 	a130  DeckLink Mini Recorder
 	a132  UltraStudio 4K
+	a136  DeckLink 4K Extreme 12G
+	a137  DeckLink Studio 4K
 	a138  Decklink SDI 4K
+	a139  Intensity Pro 4K
 c001  TSI Telsys
 c0a9  Micron/Crucial Technology
 c0de  Motorola
@@ -26513,6 +27106,7 @@
 	1153  VisionDVI-DL
 	1154  VisionSDI2
 db10  Diablo Technologies
+dc93  Dawicontrol GmbH
 dcba  Dynamic Engineering
 	0046  PCIe Altera Cyclone IV
 # VPX format Receiver Controller Board
@@ -26546,7 +27140,11 @@
 	9050  PC Weasel Virtual VGA
 	9051  PC Weasel Serial Port
 	9052  PC Weasel Watchdog Timer
-deda  SoftHard Technology Ltd.
+# formerly SoftHard Technology Ltd.
+deda  XIMEA
+	4001  Camera CB
+# Thunderbolt based camera MT family
+	4021  Camera MT
 e000  Winbond
 	e000  W89C940
 e159  Tiger Jet Network Inc.
@@ -26720,6 +27318,7 @@
 	05  WorldFip controller
 	06  PICMG controller
 	07  Infiniband controller
+	08  Fabric controller
 	80  Network controller
 C 03  Display controller
 	00  VGA compatible controller
@@ -26873,4 +27472,5 @@
 C 12  Processing accelerators
 	00  Processing accelerators
 C 13  Non-Essential Instrumentation
+C 40  Coprocessor
 C ff  Unassigned class
